Name:    flatpak-auto-update
Version: 0.0.git.1.4ab66559
Release: 1%{?dist}
Summary: Flatpak auto update systemd timer
URL:     https://gist.github.com/mentha/5f57451bd93b6193077fce6061f0e703
License: MIT
VCS:     git+https://gist.github.com/mentha/5f57451bd93b6193077fce6061f0e703.git#4ab6655944c05017d20054ebb2438e53fbf87bd0:
Source:  5f57451bd93b6193077fce6061f0e703-4ab66559.tar.gz

BuildArch: noarch
BuildRequires: python3-dbus
BuildRequires: systemd-rpm-macros
%systemd_ordering

%description
Flatpak auto update systemd timer.

%prep
%setup -T -b 0 -q -n 5f57451bd93b6193077fce6061f0e703

%build
sed "s#@LIBEXEC@#%{_libexecdir}#" < flatpak-auto-update.service.in > flatpak-auto-update.service

%install
install -Dm755 flatpak-auto-update.py %{buildroot}%{_libexecdir}/flatpak-auto-update.py
install -Dm644 flatpak-auto-update.service %{buildroot}%{_unitdir}/flatpak-auto-update.service
install -Dm644 flatpak-auto-update.service %{buildroot}%{_userunitdir}/flatpak-auto-update.service
install -Dm644 flatpak-auto-update.timer %{buildroot}%{_unitdir}/flatpak-auto-update.timer
install -Dm644 flatpak-auto-update.timer %{buildroot}%{_userunitdir}/flatpak-auto-update.timer

%post
%systemd_post flatpak-auto-update.service flatpak-auto-update.timer
%systemd_user_post flatpak-auto-update.service flatpak-auto-update.timer

%preun
%systemd_preun flatpak-auto-update.service flatpak-auto-update.timer
%systemd_user_preun flatpak-auto-update.service flatpak-auto-update.timer

%postun
%systemd_postun flatpak-auto-update.service flatpak-auto-update.timer
%systemd_user_postun flatpak-auto-update.service flatpak-auto-update.timer

%files
%{_libexecdir}/flatpak-auto-update.py
%{_unitdir}/flatpak-auto-update.service
%{_userunitdir}/flatpak-auto-update.service
%{_unitdir}/flatpak-auto-update.timer
%{_userunitdir}/flatpak-auto-update.timer

%changelog
